Page MenuHomePhabricator

Migration of the Design team to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of the WMF Design team to Phabricator. Feel free editing this task description.

  • Team member assigned to this task
  • Link(s) to the current projects in Mingle, Trello, other
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (2014-12-9)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: yyyy-mm-dd
  • Do you plan to have all your projects moved by the end of 2014? Yes/No, and if not, why

See Blocking tasks

  • More than half of our team members and ongoing sprints are working in Phabricator now (Begin 2015)
  • All our projects have been moved to Phabricator. Mission completion! (February 2015)

Current Sources

[x ] Design tasks (May + Vibha) ---> (team-visible only; both left; hence obsolete like this and handled internally)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Thanks for the link on project creation, Qgil. I'd like to have a quick check with the team first. My idea was to create:

  • "Design" (type: team). That will include both UX and Research. I'm not sure if it will be preferred to have separate Phabricator projects for UX and Research (or sub-projects of "Design" if such thing exists). It is hard to know which will be the best option without a clear idea on how we will be using Phabricator.
  • "design-needed" (type: tag) For any task from any project to be marked as needing design input. I used this with the Multimedia team in Mingle and it was great to define a design-specific view for the project.
Qgil added a comment.Oct 29 2014, 9:45 AM

Note that the "design" keyword used in Bugzilla will be available after the migration: https://bugzillapreview.wmflabs.org/tag/design/

It can be renamed after the migration, not to clash with an eventual "Design" team.

its unlikely that we'll migrate our internal board in Design and User research from Trello to Phabricator

Users are being forced to migrate away from bugzilla under the promise that everyone else will be forced to do the same, so I don't find this acceptable, unless promise statements are revised.

Hey Nemo, the UX board in question isn't used for task tracking, but rather is used as a internal backlog, anything that has been resourced or is associated with a project will be on an existing Phabricator board. Its basically a todo list for the team (think post-its on a wall, not bugzilla). There will likely be some cards (like those related to beta features) that will be migrated to Phab as soon as container projects are created.

Prtksxna updated the task description. (Show Details)Oct 31 2014, 9:15 AM
Qgil added a comment.Nov 8 2014, 7:48 PM

@Prtksxna, are you sure about the boxes you are checking in the description?

Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Jaredzimmerman-WMF removed a subscriber: Jorm.

Just a question, these Polish tasks in WMF-Design, are they copies of existing Trello cards or new tasks created in Phabricator?

Same questions for the few tasks in Design-Research

The dependency to the Trello migration script is clear. We hope to have a functional script in the next weeks. It doesn't look like we are going to have it ready by end of year, but it will be ready when it's ready. :)

The polish tasks are new, not migrated. we've not manually migrated anything at this point. While we want to migrate Trello as soon as possible, please make sure you check with us before running it on our two boards as we might want to make a final cleanup on it prior to import, since its much easier to modify cards quickly in trello than it is in phabricator.

@Jaredzimmerman-WMF: Should/can these 3 trello boards also be imported? (either automatically, or parts of them manually)

in addition to the 2 currently listed in the description:

The more we can get (most of) these workflows into a location that anyone can keep notified about, and collaborate at, the better. :)

Qgil added a comment.Mar 27 2015, 1:09 PM

Hi, I'm preparing the Phabricator migration statistics for the Developer-Advocacy quarterly review. Currently T434: Show percentage of teams migrated to Phabricator for project management reports that your situation with Phabricator is

0.25	  Organized workboard, project management elsewhere

Is this accurate?

not quite, all internal design (and design research) projects (like UI standardization, Reflex) are now handled in phab, teams that designers work with on a regular basis may not have migrated to phab, causing those tasks to be tracked elsewhere.

We still have our backlog in trello until the migration script can handle attachments and comments.

ggellerman moved this task from To Triage to Team radar on the Team-Practices board.
Quiddity updated the task description. (Show Details)Mar 30 2015, 8:32 PM
Qgil added a comment.Apr 7 2015, 3:04 PM

Thanks, according to your description, I think it is fair to consider that you are at least "fifty fifty" by now.

Also note that currently nobody is working on the Trello migration script, and there are no plans to implement migration of attachments and comments. I know this situation is not ideal, but this is what we could do with the resources available, and other teams have consider it good enough.

Would it make sense to consider a next stage where no new cards would be created in Trello, moving the new activity to Phabricator? This would simplify the migration of Trello cards in the future, since they would be basically limited to a lower priority backlog.

@Qgil, for all intents and purpose the design team is on phabricator now, however some teams they work with are not. If those teams (mobile web) fully migrate to phab, the designers will migrate as well.

Qgil added a comment.Apr 8 2015, 11:14 AM

OK, let's say 0.75, then. Your progress has been reported in T434.

Qgil removed Jaredzimmerman-WMF as the assignee of this task.May 7 2015, 12:46 PM
Qgil added a comment.May 7 2015, 12:49 PM

Now there is no single Design team, but different teams embedded in different verticals. How is this impacting the use of the existing Trello boards and the way designers work now in sprints (with Phabricator)?

In the Editing department designers work using Phabricator to collaborate with their respective teams: VE, Collaboration, Language, and Multimedia (and if the Parsing team had any user-facing needs, we would use Phabricator too).

Not sure about "mobile web" migration to Phabricator which Jared mentioned as pending in a comment above.

Qgil closed this task as Resolved.May 19 2015, 8:24 PM
Qgil claimed this task.

https://trello.com/b/kpRalFpn/user-experience has no activity since April 30. Mobile Web's last status is T830#1269411, but that is being tracked in a separate task.

It looks like this task can be marked as Resolved. If there is indeed an active Trello board used by designers somewhere, please reopen and link to it.

Quiddity reopened this task as Open.May 23 2015, 2:09 PM

I'm going to tentatively reopen this, based on discussion at the hackathon, in order to get more of the content in the old trello boards imported into phabricator.
E.g. comments from https://trello.com/b/FEsKnZII/community-design which I'm working on getting undeleted.
and notes from the other 5 boards listed in the description above.

Quiddity removed Qgil as the assignee of this task.May 23 2015, 2:09 PM

Yo @Quiddity, Bienvenue à Lyon (I'm not there)

I'm happy to run T821: Trello -> Phabricator migration script to migrate columns from Trello boards to Phabricator, note its limitations with comments and attachments. Or I can help any Python developer at the hackathon to run it and improve it; it's probably best to schedule in Gcal or ping me via Hangout in advance.

Quiddity updated the task description. (Show Details)May 27 2015, 1:52 PM
jayvdb added a subscriber: jayvdb.Jun 11 2015, 2:30 AM
Qgil added a comment.Jun 11 2015, 7:13 AM

Who is the main contact for S to complete this task? @Quiddity, is that you?

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM

Who is the main contact for S to complete this task?

Sorry late reply. I guess I'm the main nudger for this. I'll transfer 1 board today, and work out a list/suggested-plan for the rest tomorrow.

Quiddity updated the task description. (Show Details)Jun 30 2015, 11:58 PM

Sorry late reply. I guess I'm the main nudger for this. I'll transfer 1 board today, and work out a list/suggested-plan for the rest tomorrow.

@Quiddity: Did that happen?

Sorry late reply. I guess I'm the main nudger for this. I'll transfer 1 board today, and work out a list/suggested-plan for the rest tomorrow.

@Quiddity: Did that happen?

Sorry, no. Not yet. I keep getting tasked with higher priority things.
I'll... take another look at it, over the weekend.

I'll... take another look at it, over the weekend.

Any news to share? :)

@Quiddity: Any update what the actual status is here?

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 22 2016, 2:10 PM
Prtksxna added a comment.EditedJan 25 2016, 4:18 AM

@Quiddity, if you share what boards are left, I could help with the migration too. I see the links in the description, but there seems to be some overlap.

@Quiddity, if you share what boards are left, I could help with the migration too. I see the links in the description, but there seems to be some overlap.

The only board I've completed, is the last one in the list (FEsKnZII/community-design) - all the other trello boards still need to be migrated. Any help, would be hugely appreciated!
For each board, and if the board is currently inactive, I've been trying to:

  • go through each unresolved card, and check if it is interesting/useful, and check whether there's an equivalent task in phabricator
  • If there is, then I check if any useful comments or design-assets within the trello card, have been copied across.
  • If there isn't, then I create a new phab task.

@Aklapper I haven't made any progress recently. I keep hoping for an evening where I'm [not exhausted] inspired to dive back in.

Qgil lowered the priority of this task from Medium to Low.Mar 2 2016, 10:25 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 2 2016, 7:30 PM
Prtksxna added a comment.EditedJul 13 2016, 11:31 AM

@Jaredzimmerman-WMF added subtask: T76101: Phabricator need structured way of relating non-blocking tasks to each other (like Bugzilla's "See also"), showing that relation in both tasks

I don't think this is the case anymore. Trello, which was the tool that the design team was using before Phab did not have this. Nor do I see any cards that cannot be migrated because of the missing feature.

Removing now, feel free to add if you have reasons otherwise.

Aklapper updated the task description. (Show Details)Oct 1 2016, 1:45 PM
Restricted Application added a project: Design. · View Herald TranscriptOct 1 2016, 1:45 PM

@Quiddity: Do you know (or could find out by any chance) if the internally listed "Design tasks (May + Vibha)" Trello board (which I have no URL for) is the same as the not internally listed community-design Trello board listed in this very task? Thanks!

If the answer is yes than this ancient task is resolved I'd say, as Design Research is out of scope for this task in my understanding.

Volker_E closed this task as Resolved.Jan 18 2017, 11:36 PM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Volker_E.

Looking through the tasks on WMF-Design and Design board, that has all been happily resolved.

Qgil awarded a token.Jan 20 2017, 12:27 PM